import sys
import csv

def main(filename):

    lat2 = 300.0/3600.0
    lng2 = 450.0/3600.0
    lat3 = 30.0/3600.0
    lng3 = 45.0/3600.0

    reader = csv.reader(open(filename, 'r'), delimiter=',')

    for row in reader:
        mesh = row.pop(0)
        
        if not mesh.isdigit():
            continue
        
        if int(mesh) < 30220000 or 68537799 < int(mesh):
            continue
        swlat = int(mesh[0:2])/1.5
        swlng = int(mesh[2:4])+100
        swlat += int(mesh[4:5])*lat2
        swlng += int(mesh[5:6])*lng2
        swlat += int(mesh[6:7])*lat3
        swlng += int(mesh[7:8])*lng3
        
        print '"POLYGON((%.10f %.10f, %.10f %.10f, %.10f %.10f, %.10f %.10f, %.10f %.10f))",%s,%s' % \
            (swlng, swlat, \
             swlng+lng3, swlat, \
             swlng+lng3, swlat+lat3, \
             swlng, swlat+lat3, \
             swlng, swlat,
             mesh, ','.join(row).replace('-',''))

if __name__ == "__main__":
    if (len(sys.argv) != 2):
        print 'Usage: python %s input_filename' % sys.argv[0]
        quit()

    main(sys.argv[1])
